Page MenuHomePhabricator

Add more metrics to WDQS
Closed, ResolvedPublic

Description

Following up on metrics defined in https://gerrit.wikimedia.org/r/c/430867/, we may want to add a bit more metrics that would allow us to see internal WDQS workings.

Candidates:

  1. Federated query timer (may be non-trivial as we currently use standard class which doesn't have metrics)
  2. Custom services counts

Event Timeline

Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptMay 7 2018, 11:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Vvjjkkii renamed this task from Add more metrics to WDQS to mfdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from mfdaaaaaaa to Add more metrics to WDQS.Jul 1 2018, 3:47 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Smalyshev triaged this task as Medium priority.Jul 27 2018, 9:00 PM
Smalyshev moved this task from Backlog to Next on the User-Smalyshev board.Jul 30 2018, 4:46 AM
Smalyshev moved this task from Next to Backlog on the User-Smalyshev board.Aug 14 2018, 12:48 AM

Change 514645 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[wikidata/query/rdf@master] Add metering of federation requests

https://gerrit.wikimedia.org/r/514645

Change 514645 merged by jenkins-bot:
[wikidata/query/rdf@master] Add metering of federation requests

https://gerrit.wikimedia.org/r/514645

Smalyshev moved this task from Backlog to Doing on the User-Smalyshev board.Jun 10 2019, 10:36 PM
Smalyshev moved this task from Doing to Done on the User-Smalyshev board.Jun 20 2019, 6:02 AM
Smalyshev closed this task as Resolved.Jun 21 2019, 4:55 AM
Smalyshev claimed this task.